## spawn-fcgi 1.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 PROJECT(spawn-fcgi)
 SET(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
-SET(PACKAGE_VERSION 1.6.2)
+SET(PACKAGE_VERSION 1.6.3)
 
 SET(CMAKE_MAN_DIR "share/man" CACHE STRING
   "Install location for man pages (relative to prefix).")
