=== debian/control ===
Source: spawn-fcgi
Section: web
Priority: extra
Maintainer: Jérémy Lal <kapouer@melix.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.5
Homepage: http://redmine.lighttpd.net/projects/spawn-fcgi
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spawn-fcgi.git
Vcs-Git: git://anonscm.debian.org/collab-maint/spawn-fcgi.git

Package: spawn-fcgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FastCGI process spawner
 Allows FastCGI processes to be separated from web server process :
   * Easy creation of chmoded socket.
   * Privilege separation without needing a suid-binary,
     or running a server as root.
   * You can restart your web server and the FastCGI applications
     without restarting the others.
   * You can run them in different chroot()s.
   * Running your FastCGI applications doesn’t depend on the web server
     you are running, which allows for easier testing of/migration
     to other web servers.
