=== debian/rules ===
#!/usr/bin/make -f

# uncomment to enable verbose mode
#export DH_VERBOSE=1

export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-extra-warnings
