=== debian/changelog ===
spawn-fcgi (1.6.5-2) unstable; urgency=medium

  * Team upload of Debian team

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * New upstream version
  * Point watch file to Github
  * d/copyright
     - Mention Github as source
     - Update copyright dates
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Enable hardening options

  [ Jochem Kossen ]
  * Add example systemd configuration files (Closes: #622905)
     - systemd template unit
     - launcher script to be called from systemd
     - php-cgi.conf
    Based on code by Boris Pek <tehnick@debian.org> in comment
    on #622905

 -- Jochem Kossen <jochem@jkossen.nl>  Sat, 05 Oct 2024 23:27:09 +0200

spawn-fcgi (1.6.4-2) unstable; urgency=medium

  * Patch fixing IPv6 detection during build (Closes: #868485).
    Thanks to Tim Düsterhus.
  * Use dh-autoreconf.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 16 Jul 2017 21:29:51 +0200
