=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: spawn-fcgi
+Maintainer: Jérémy Lal <kapouer@melix.org>
 Section: web
-Priority: extra
-Maintainer: Jérémy Lal <kapouer@melix.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
+Priority: optional
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/spawn-fcgi
+Vcs-Git: https://salsa.debian.org/debian/spawn-fcgi.git
 Homepage: http://redmine.lighttpd.net/projects/spawn-fcgi
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spawn-fcgi.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/spawn-fcgi.git
+Rules-Requires-Root: no
 
 Package: spawn-fcgi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: FastCGI process spawner
  Allows FastCGI processes to be separated from web server process :
    * Easy creation of chmoded socket.
