=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lighttpd/spawn-fcgi/tags (?:.*?/)?spawn-fcgi-(\d[\d.]*)\.tar\.gz
