## spawn-fcgi 1.6.6

=== meson_options.txt ===
option('ipv6', type : 'boolean', value : true, description : 'Build with IPv6 support')
option('extra-warnings', type : 'boolean', value : true, description : 'Build with extra warnings enabled')
