=== debian/changelog ===
spawn-fcgi (1.6.6-1) unstable; urgency=medium

  * New upstream version 1.6.6
  * buildsystem meson
  * modernize watch

 -- Jérémy Lal <kapouer@melix.org>  Sun, 02 Mar 2025 14:59:25 +0100
