=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Jérémy Lal <kapouer@melix.org>
 Section: web
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), meson
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/spawn-fcgi
 Vcs-Git: https://salsa.debian.org/debian/spawn-fcgi.git
